## org.eclipse.jst.pagedesigner.dtmanager.dtinfo
Interface TagDecorateInfo

    public interface TagDecorateInfo

A representation of the model object 'Tag Decorate Info'.

Provisional API - subject to change

The following features are supported:

- `Id`
- `Min Height`
- `Min Width`
- `Multi Level`
- `Need Border Decorator`
- `Need Table Decorator`
- `Non Visual`
- `Non Visual Image Path`
- `Resolve Child Text`
- `Resolve Attribute Value`
- `Set Non Visual Child Elements`
- `Widget`

See Also:
  `DTInfoPackage.getTagDecorateInfo()`

Field Summary
`static java.lang.String` `copyright`

Method Summary
`java.lang.String` `getId()` Returns the value of the 'Id' attribute
`int` `getMinHeight()` Returns the value of the 'Min Height' attribute
`int` `getMinWidth()` Returns the value of the 'Min Width' attribute
`java.lang.String` `getNonVisualImagePath()` Returns the value of the 'Non Visual Image Path' attribute
`ResolveAttributeValue` `getResolveAttributeValue()` Returns the value of the 'Resolve Attribute Value' containment reference
`boolean` `isMultiLevel()` Returns the value of the 'Multi Level' attribute.
`boolean` `isNeedBorderDecorator()` Returns the value of the 'Need Border Decorator' attribute.
`boolean` `isNeedTableDecorator()` Returns the value of the 'Need Table Decorator' attribute.
`boolean` `isNonVisual()` Returns the value of the 'Non Visual' attribute.
`boolean` `isResolveChildText()` Returns the value of the 'Resolve Child Text' attribute.
`boolean` `isSetNonVisualChildElements()` Returns the value of the 'Set Non Visual Child Elements' attribute.
`boolean` `isWidget()` Returns the value of the 'Widget' attribute.
`void` `setId(java.lang.String value)` Sets the value of the '`Id`' attribute
`void` `setMinHeight(int value)` Sets the value of the '`Min Height`' attribute
`void` `setMinWidth(int value)` Sets the value of the '`Min Width`' attribute
`void` `setMultiLevel(boolean value)` Sets the value of the '`Multi Level`' attribute
`void` `setNeedBorderDecorator(boolean value)` Sets the value of the '`Need Border Decorator`' attribute
`void` `setNeedTableDecorator(boolean value)` Sets the value of the '`Need Table Decorator`' attribute
`void` `setNonVisual(boolean value)` Sets the value of the '`Non Visual`' attribute
`void` `setNonVisualImagePath(java.lang.String value)` Sets the value of the '`Non Visual Image Path`' attribute
`void` `setResolveAttributeValue(ResolveAttributeValue value)` Sets the value of the '`Resolve Attribute Value`' containment reference
`void` `setResolveChildText(boolean value)` Sets the value of the '`Resolve Child Text`' attribute
`void` `setSetNonVisualChildElements(boolean value)` Sets the value of the '`Set Non Visual Child Elements`' attribute
`void` `setWidget(boolean value)` Sets the value of the '`Widget`' attribute

Field Detail

### copyright

    static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### getId

    java.lang.String getId()

  Returns the value of the 'Id' attribute.

  If the meaning of the 'Id' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Id' attribute.
  See Also:
    `setId(String)`, `DTInfoPackage.getTagDecorateInfo_Id()`

### setId

    void setId(java.lang.String value)

  Sets the value of the '`Id`' attribute.

  Parameters:
    `value` - the new value of the 'Id' attribute.
  See Also:
    `getId()`

### getMinHeight

    int getMinHeight()

  Returns the value of the 'Min Height' attribute.

  If the meaning of the 'Min Height' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Min Height' attribute.
  See Also:
    `setMinHeight(int)`, `DTInfoPackage.getTagDecorateInfo_MinHeight()`

### setMinHeight

    void setMinHeight(int value)

  Sets the value of the '`Min Height`' attribute.

  Parameters:
    `value` - the new value of the 'Min Height' attribute.
  See Also:
    `getMinHeight()`

### getMinWidth

    int getMinWidth()

  Returns the value of the 'Min Width' attribute.

  If the meaning of the 'Min Width' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Min Width' attribute.
  See Also:
    `setMinWidth(int)`, `DTInfoPackage.getTagDecorateInfo_MinWidth()`

### setMinWidth

    void setMinWidth(int value)

  Sets the value of the '`Min Width`' attribute.

  Parameters:
    `value` - the new value of the 'Min Width' attribute.
  See Also:
    `getMinWidth()`

### isMultiLevel

    boolean isMultiLevel()

  Returns the value of the 'Multi Level' attribute. The default value is `"false"`.

  If the meaning of the 'Multi Level' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Multi Level' attribute.
  See Also:
    `setMultiLevel(boolean)`, `DTInfoPackage.getTagDecorateInfo_MultiLevel()`

### setMultiLevel

    void setMultiLevel(boolean value)

  Sets the value of the '`Multi Level`' attribute.

  Parameters:
    `value` - the new value of the 'Multi Level' attribute.
  See Also:
    `isMultiLevel()`

### isNeedBorderDecorator

    boolean isNeedBorderDecorator()

  Returns the value of the 'Need Border Decorator' attribute. The default value is `"false"`.

  If the meaning of the 'Need Border Decorator' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Need Border Decorator' attribute.
  See Also:
    `setNeedBorderDecorator(boolean)`, `DTInfoPackage.getTagDecorateInfo_NeedBorderDecorator()`

### setNeedBorderDecorator

    void setNeedBorderDecorator(boolean value)

  Sets the value of the '`Need Border Decorator`' attribute.

  Parameters:
    `value` - the new value of the 'Need Border Decorator' attribute.
  See Also:
    `isNeedBorderDecorator()`

### isNeedTableDecorator

    boolean isNeedTableDecorator()

  Returns the value of the 'Need Table Decorator' attribute. The default value is `"false"`.

  If the meaning of the 'Need Table Decorator' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Need Table Decorator' attribute.
  See Also:
    `setNeedTableDecorator(boolean)`, `DTInfoPackage.getTagDecorateInfo_NeedTableDecorator()`

### setNeedTableDecorator

    void setNeedTableDecorator(boolean value)

  Sets the value of the '`Need Table Decorator`' attribute.

  Parameters:
    `value` - the new value of the 'Need Table Decorator' attribute.
  See Also:
    `isNeedTableDecorator()`

### isNonVisual

    boolean isNonVisual()

  Returns the value of the 'Non Visual' attribute. The default value is `"false"`.

  If the meaning of the 'Non Visual' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Non Visual' attribute.
  See Also:
    `setNonVisual(boolean)`, `DTInfoPackage.getTagDecorateInfo_NonVisual()`

### setNonVisual

    void setNonVisual(boolean value)

  Sets the value of the '`Non Visual`' attribute.

  Parameters:
    `value` - the new value of the 'Non Visual' attribute.
  See Also:
    `isNonVisual()`

### getNonVisualImagePath

    java.lang.String getNonVisualImagePath()

  Returns the value of the 'Non Visual Image Path' attribute.

  If the meaning of the 'Non Visual Image Path' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Non Visual Image Path' attribute.
  See Also:
    `setNonVisualImagePath(String)`, `DTInfoPackage.getTagDecorateInfo_NonVisualImagePath()`

### setNonVisualImagePath

    void setNonVisualImagePath(java.lang.String value)

  Sets the value of the '`Non Visual Image Path`' attribute.

  Parameters:
    `value` - the new value of the 'Non Visual Image Path' attribute.
  See Also:
    `getNonVisualImagePath()`

### isResolveChildText

    boolean isResolveChildText()

  Returns the value of the 'Resolve Child Text' attribute. The default value is `"false"`.

  If the meaning of the 'Resolve Child Text' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Resolve Child Text' attribute.
  See Also:
    `setResolveChildText(boolean)`, `DTInfoPackage.getTagDecorateInfo_ResolveChildText()`

### setResolveChildText

    void setResolveChildText(boolean value)

  Sets the value of the '`Resolve Child Text`' attribute.

  Parameters:
    `value` - the new value of the 'Resolve Child Text' attribute.
  See Also:
    `isResolveChildText()`

### getResolveAttributeValue

    ResolveAttributeValue getResolveAttributeValue()

  Returns the value of the 'Resolve Attribute Value' containment reference.

  If the meaning of the 'Resolve Attribute Value' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Resolve Attribute Value' containment reference.
  See Also:
    `setResolveAttributeValue(ResolveAttributeValue)`, `DTInfoPackage.getTagDecorateInfo_ResolveAttributeValue()`

### setResolveAttributeValue

    void setResolveAttributeValue(ResolveAttributeValue value)

  Sets the value of the '`Resolve Attribute Value`' containment reference.

  Parameters:
    `value` - the new value of the 'Resolve Attribute Value' containment reference.
  See Also:
    `getResolveAttributeValue()`

### isSetNonVisualChildElements

    boolean isSetNonVisualChildElements()

  Returns the value of the 'Set Non Visual Child Elements' attribute. The default value is `"false"`.

  If the meaning of the 'Set Non Visual Child Elements' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Set Non Visual Child Elements' attribute.
  See Also:
    `setSetNonVisualChildElements(boolean)`, `DTInfoPackage.getTagDecorateInfo_SetNonVisualChildElements()`

### setSetNonVisualChildElements

    void setSetNonVisualChildElements(boolean value)

  Sets the value of the '`Set Non Visual Child Elements`' attribute.

  Parameters:
    `value` - the new value of the 'Set Non Visual Child Elements' attribute.
  See Also:
    `isSetNonVisualChildElements()`

### isWidget

    boolean isWidget()

  Returns the value of the 'Widget' attribute. The default value is `"false"`.

  If the meaning of the 'Widget' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Widget' attribute.
  See Also:
    `setWidget(boolean)`, `DTInfoPackage.getTagDecorateInfo_Widget()`

### setWidget

    void setWidget(boolean value)

  Sets the value of the '`Widget`' attribute.

  Parameters:
    `value` - the new value of the 'Widget' attribute.
  See Also:
    `isWidget()`